## AwnOverlayText AwnOverlayText |

## Functions

AwnOverlayText * | awn_overlay_text_new ()
void | awn_overlay_text_get_size ()

## Properties

gint | font-mode | Read / Write
gdouble | font-sizing | Read / Write / Construct
gchar * | text | Read / Write / Construct
DesktopAgnosticColor * | text-color | Read / Write
gchar * | text-color-astr | Read / Write
DesktopAgnosticColor * | text-outline-color | Read / Write
gchar * | text-outline-color-astr | Read / Write
gdouble | text-outline-width | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── AwnOverlay
                ╰── AwnOverlayText

## Description

## Functions

### awn_overlay_text_new ()

    AwnOverlayText *
    awn_overlay_text_new (void);

### awn_overlay_text_get_size ()

    void
    awn_overlay_text_get_size (AwnOverlayText *overlay,
                               GtkWidget *widget,
                               gchar *text,
                               gint size,
                               gint *width,
                               gint *height);

## Types and Values

## Property Details

### The `“font-mode”` property

      “font-mode”                gint

Font Mode.

Flags: Read / Write

Allowed values: [0,2]

Default value: 0

### The `“font-sizing”` property

      “font-sizing”              gdouble

Font Sizing.

Flags: Read / Write / Construct

Allowed values: [1,100]

Default value: 12

### The `“text”` property

      “text”                     gchar *

Text Data.

Flags: Read / Write / Construct

Default value: ""

### The `“text-color”` property

      “text-color”               DesktopAgnosticColor *

Text Colour.

Flags: Read / Write

### The `“text-color-astr”` property

      “text-color-astr”          gchar *

Text color as string.

Flags: Read / Write

Default value: ""

### The `“text-outline-color”` property

      “text-outline-color”       DesktopAgnosticColor *

Text Outline Colour.

Flags: Read / Write

### The `“text-outline-color-astr”` property

      “text-outline-color-astr”  gchar *

Text outline color as string.

Flags: Read / Write

Default value: ""

### The `“text-outline-width”` property

      “text-outline-width”       gdouble

Text Outline Width.

Flags: Read / Write

Allowed values: [0,10]

Default value: 2.5